ISINF(3)

NAME
isinf, isnan - test for infinity or not-a-number

SYNOPSIS
#include <math.h>

int isinf(extended);
int isnan(extended);

DESCRIPTION
The isinf function returns 1 if the number is +/- Infinity, otherwise 0.

The isnan function returns 1 if the number is not-a-number (NaN), otherwise 0.

SEE ALSO
math(3),

IEEE Standard for Binary Floating-Point Arithmetic, ANSI Std 754-1985

Apple Numerics Manual (SANE)

BUGS
Neither the VAX nor the Tahoe floating point have distinguished values for either infinity or not-a-number. These routines always return 0 on those architectures.